org.apache.cassandra.triggers

## Interface ITrigger

    public interface ITrigger

Trigger interface, For every partition update received by the coordinator `augment(Partition)` is called.

Contract:
1) Implementation of this interface should only have a constructor without parameters
2) ITrigger implementation can be instantiated multiple times during the server life time. (Depends on the number of times trigger folder is updated.)
3) ITrigger implementation should be state-less (avoid dependency on instance variables).
The API is still beta and can change.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<Mutation>` `augment(Partition update)` Called exactly once per CF update, returned mutations are atomically updated.

### Method Detail

#### augment

    java.util.Collection<Mutation> augment(Partition update)

Called exactly once per CF update, returned mutations are atomically updated.

Parameters:
  `update` - - update received for the CF
Returns:
  additional modifications to be applied along with the supplied update